import { GridItemHTMLElement } from 'gridstack';
import { ResizeHandleType } from '../../models';
export declare class GridStackItem {
    root: IGridStackItemElement;
    constructor(root: IGridStackItemElement);
    x?: number;
    xChanged(): void;
    y?: number;
    yChanged(): void;
    w?: number;
    wChanged(): void;
    h?: number;
    hChanged(): void;
    minW?: number;
    minWChanged(): void;
    minH?: number;
    minHChanged(): void;
    maxW?: number;
    maxWChanged(): void;
    maxH?: number;
    maxHChanged(): void;
    id?: number;
    idChanged(): void;
    noMove: boolean;
    noMoveChanged(): void;
    noResize: boolean;
    noResizeChanged(): void;
    locked: boolean;
    lockedChanged(): void;
    autoPosition: boolean;
    autoPositionChanged(): void;
    resizeHandles?: ResizeHandleType[];
    resizeHandlesChanged(): void;
    attached(): void;
}
export interface IGridStackItemElement extends GridItemHTMLElement {
    $au: {
        'au:resource:custom-element': {
            viewModel: GridStackItem;
        };
    };
}
